USN-5116-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5116-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5116-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5116-1
Related
  • CVE-2020-3702
  • CVE-2021-3732
  • CVE-2021-38198
  • CVE-2021-38205
  • CVE-2021-40490
  • CVE-2021-42008
Published
2021-10-20T18:42:57.999028Z
Modified
2021-10-20T18:42:57.999028Z
Summary
linux, linux-bluefield, linux-gcp-5.4, linux-hwe-5.4, linux-kvm vulnerabilities
Details

It was discovered that a race condition existed in the Atheros Ath9k WiFi driver in the Linux kernel. An attacker could possibly use this to expose sensitive information (WiFi network traffic). (CVE-2020-3702)

Alois Wohlschlager discovered that the overlay file system in the Linux kernel did not restrict private clones in some situations. An attacker could use this to expose sensitive information. (CVE-2021-3732)

It was discovered that the KVM hypervisor implementation in the Linux kernel did not properly compute the access permissions for shadow pages in some situations. A local attacker could use this to cause a denial of service. (CVE-2021-38198)

It was discovered that the Xilinx 10/100 Ethernet Lite device driver in the Linux kernel could report pointer addresses in some situations. An attacker could use this information to ease the exploitation of another vulnerability. (CVE-2021-38205)

It was discovered that the ext4 file system in the Linux kernel contained a race condition when writing xattrs to an inode. A local attacker could use this to cause a denial of service or possibly gain administrative privileges. (CVE-2021-40490)

It was discovered that the 6pack network protocol driver in the Linux kernel did not properly perform validation checks. A privileged attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2021-42008)

References

Affected packages

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1048.50

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "5.4.0.1048.47",
            "linux-kvm": "5.4.0.1048.47",
            "linux-kvm-headers-5.4.0-1048": "5.4.0-1048.50",
            "linux-image-unsigned-5.4.0-1048-kvm": "5.4.0-1048.50",
            "linux-kvm-tools-5.4.0-1048": "5.4.0-1048.50",
            "linux-buildinfo-5.4.0-1048-kvm": "5.4.0-1048.50",
            "linux-tools-kvm": "5.4.0.1048.47",
            "linux-headers-5.4.0-1048-kvm": "5.4.0-1048.50",
            "linux-tools-5.4.0-1048-kvm": "5.4.0-1048.50",
            "linux-image-5.4.0-1048-kvm": "5.4.0-1048.50",
            "linux-modules-5.4.0-1048-kvm": "5.4.0-1048.50",
            "linux-image-kvm": "5.4.0.1048.47"
        }
    ]
}

Ubuntu:20.04:LTS / linux-bluefield

Package

Name
linux-bluefield

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1020.23

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-bluefield-tools-5.4.0-1020": "5.4.0-1020.23",
            "linux-modules-5.4.0-1020-bluefield": "5.4.0-1020.23",
            "linux-image-bluefield": "5.4.0.1020.21",
            "linux-image-unsigned-5.4.0-1020-bluefield": "5.4.0-1020.23",
            "linux-tools-5.4.0-1020-bluefield": "5.4.0-1020.23",
            "linux-bluefield-headers-5.4.0-1020": "5.4.0-1020.23",
            "linux-headers-bluefield": "5.4.0.1020.21",
            "linux-buildinfo-5.4.0-1020-bluefield": "5.4.0-1020.23",
            "linux-image-5.4.0-1020-bluefield": "5.4.0-1020.23",
            "linux-tools-bluefield": "5.4.0.1020.21",
            "linux-headers-5.4.0-1020-bluefield": "5.4.0-1020.23",
            "linux-bluefield": "5.4.0.1020.21"
        }
    ]
}

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-89.100

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-89-generic-lpae": "5.4.0-89.100",
            "linux-generic-hwe-18.04": "5.4.0.89.93",
            "linux-headers-oem": "5.4.0.89.93",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.89.93",
            "linux-lowlatency-hwe-18.04": "5.4.0.89.93",
            "linux-cloud-tools-virtual": "5.4.0.89.93",
            "linux-headers-5.4.0-89": "5.4.0-89.100",
            "linux-image-5.4.0-89-generic": "5.4.0-89.100",
            "linux-cloud-tools-lowlatency": "5.4.0.89.93",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.89.93",
            "linux-headers-generic-hwe-18.04": "5.4.0.89.93",
            "linux-generic-lpae-hwe-18.04": "5.4.0.89.93",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.89.93",
            "linux-tools-virtual": "5.4.0.89.93",
            "linux-oem-osp1-tools-host": "5.4.0.89.93",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.89.93",
            "linux-image-unsigned-5.4.0-89-generic": "5.4.0-89.100",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.89.93",
            "linux-source": "5.4.0.89.93",
            "linux-image-extra-virtual": "5.4.0.89.93",
            "linux-oem": "5.4.0.89.93",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.89.93",
            "linux-cloud-tools-generic": "5.4.0.89.93",
            "linux-image-virtual": "5.4.0.89.93",
            "linux-tools-generic": "5.4.0.89.93",
            "linux-modules-5.4.0-89-generic-lpae": "5.4.0-89.100",
            "linux-generic-lpae": "5.4.0.89.93",
            "linux-image-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-virtual": "5.4.0.89.93",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.89.93",
            "linux-headers-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.89.93",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.89.93",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.89.93",
            "linux-crashdump": "5.4.0.89.93",
            "linux-generic": "5.4.0.89.93",
            "linux-modules-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-headers-5.4.0-89-generic": "5.4.0-89.100",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.89.93",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.89.93",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.89.93",
            "linux-tools-5.4.0-89-generic": "5.4.0-89.100",
            "linux-generic-hwe-18.04-edge": "5.4.0.89.93",
            "linux-headers-generic-lpae": "5.4.0.89.93",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.89.93",
            "linux-image-generic-lpae": "5.4.0.89.93",
            "linux-headers-5.4.0-89-generic-lpae": "5.4.0-89.100",
            "linux-tools-lowlatency": "5.4.0.89.93",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.89.93",
            "linux-cloud-tools-common": "5.4.0-89.100",
            "linux-headers-oem-osp1": "5.4.0.89.93",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.89.93",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.89.93",
            "linux-libc-dev": "5.4.0-89.100",
            "linux-source-5.4.0": "5.4.0-89.100",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.89.93",
            "linux-image-unsigned-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-doc": "5.4.0-89.100",
            "linux-headers-virtual-hwe-18.04": "5.4.0.89.93",
            "linux-modules-5.4.0-89-generic": "5.4.0-89.100",
            "linux-tools-oem-osp1": "5.4.0.89.93",
            "linux-oem-osp1": "5.4.0.89.93",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.89.93",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.89.93",
            "linux-cloud-tools-5.4.0-89": "5.4.0-89.100",
            "linux-headers-generic": "5.4.0.89.93",
            "linux-tools-oem": "5.4.0.89.93",
            "linux-image-lowlatency": "5.4.0.89.93",
            "linux-oem-tools-host": "5.4.0.89.93",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.89.93",
            "linux-headers-virtual": "5.4.0.89.93",
            "linux-buildinfo-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-virtual-hwe-18.04": "5.4.0.89.93",
            "linux-image-oem": "5.4.0.89.93",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.89.93",
            "linux-cloud-tools-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-cloud-tools-5.4.0-89-generic": "5.4.0-89.100",
            "linux-tools-host": "5.4.0-89.100",
            "linux-tools-5.4.0-89-lowlatency": "5.4.0-89.100",
            "linux-headers-lowlatency": "5.4.0.89.93",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.89.93",
            "linux-buildinfo-5.4.0-89-generic": "5.4.0-89.100",
            "linux-virtual-hwe-18.04-edge": "5.4.0.89.93",
            "linux-image-generic-hwe-18.04": "5.4.0.89.93",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.89.93",
            "linux-image-virtual-hwe-18.04": "5.4.0.89.93",
            "linux-image-5.4.0-89-generic-lpae": "5.4.0-89.100",
            "linux-tools-virtual-hwe-18.04": "5.4.0.89.93",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.89.93",
            "linux-image-oem-osp1": "5.4.0.89.93",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.89.93",
            "linux-tools-generic-lpae": "5.4.0.89.93",
            "linux-modules-extra-5.4.0-89-generic": "5.4.0-89.100",
            "linux-tools-common": "5.4.0-89.100",
            "linux-tools-generic-hwe-18.04": "5.4.0.89.93",
            "linux-image-generic": "5.4.0.89.93",
            "linux-lowlatency": "5.4.0.89.93",
            "linux-tools-5.4.0-89-generic-lpae": "5.4.0-89.100",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.89.93",
            "linux-tools-5.4.0-89": "5.4.0-89.100",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.89.93"
        }
    ]
}

Ubuntu:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-89.100~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-89-generic-lpae": "5.4.0-89.100~18.04.1",
            "linux-headers-snapdragon-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-headers-oem": "5.4.0.89.100~18.04.79",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-generic-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-lowlatency-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-snapdragon-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-tools-snapdragon-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-headers-generic-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-generic-lpae-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-snapdragon-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-unsigned-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-oem": "5.4.0.89.100~18.04.79",
            "linux-hwe-5.4-headers-5.4.0-89": "5.4.0-89.100~18.04.1",
            "linux-modules-5.4.0-89-generic-lpae": "5.4.0-89.100~18.04.1",
            "linux-image-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-hwe-5.4-cloud-tools-common": "5.4.0-89.100~18.04.1",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-headers-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-hwe-5.4-cloud-tools-5.4.0-89": "5.4.0-89.100~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-modules-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-headers-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-modules-extra-virtual-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-generic-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-tools-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-headers-snapdragon-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-headers-5.4.0-89-generic-lpae": "5.4.0-89.100~18.04.1",
            "linux-headers-oem-osp1": "5.4.0.89.100~18.04.79",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-hwe-5.4-source-5.4.0": "5.4.0-89.100~18.04.1",
            "linux-image-unsigned-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-modules-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-headers-virtual-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-tools-oem-osp1": "5.4.0.89.100~18.04.79",
            "linux-modules-extra-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-oem-osp1": "5.4.0.89.100~18.04.79",
            "linux-tools-oem": "5.4.0.89.100~18.04.79",
            "linux-cloud-tools-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-cloud-tools-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-virtual-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-oem": "5.4.0.89.100~18.04.79",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-buildinfo-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-hwe-5.4-tools-common": "5.4.0-89.100~18.04.1",
            "linux-tools-5.4.0-89-lowlatency": "5.4.0-89.100~18.04.1",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-buildinfo-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-image-generic-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-virtual-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-5.4.0-89-generic-lpae": "5.4.0-89.100~18.04.1",
            "linux-image-oem-osp1": "5.4.0.89.100~18.04.79",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-hwe-5.4-tools-5.4.0-89": "5.4.0-89.100~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.89.100~18.04.79",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-tools-virtual-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-modules-extra-5.4.0-89-generic": "5.4.0-89.100~18.04.1",
            "linux-tools-snapdragon-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-tools-generic-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-tools-5.4.0-89-generic-lpae": "5.4.0-89.100~18.04.1",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.89.100~18.04.79",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.89.100~18.04.79"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-5.4

Package

Name
linux-gcp-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1055.59~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-gcp": "5.4.0.1055.41",
            "linux-modules-extra-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1",
            "linux-tools-gcp-edge": "5.4.0.1055.41",
            "linux-gcp": "5.4.0.1055.41",
            "linux-headers-gcp-edge": "5.4.0.1055.41",
            "linux-image-gcp-edge": "5.4.0.1055.41",
            "linux-headers-gcp": "5.4.0.1055.41",
            "linux-gcp-5.4-headers-5.4.0-1055": "5.4.0-1055.59~18.04.1",
            "linux-modules-extra-gcp": "5.4.0.1055.41",
            "linux-gcp-edge": "5.4.0.1055.41",
            "linux-modules-extra-gcp-edge": "5.4.0.1055.41",
            "linux-modules-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1",
            "linux-image-unsigned-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1",
            "linux-buildinfo-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1",
            "linux-gcp-5.4-tools-5.4.0-1055": "5.4.0-1055.59~18.04.1",
            "linux-tools-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1",
            "linux-headers-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1",
            "linux-image-gcp": "5.4.0.1055.41",
            "linux-image-5.4.0-1055-gcp": "5.4.0-1055.59~18.04.1"
        }
    ]
}